# Search promotions

Use the **searchPromotions** method to extract information on promotions you set up for your account.

## Request parameters

<table><thead><tr><th width="236.84442138671875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>Types</code></td><td><p><strong>StringArray</strong><br>Discount type:</p><ul><li>REGULAR</li><li>GLOBAL</li><li>SPECIAL_PRICE</li><li>RENEWAL</li></ul></td></tr><tr><td><code>Channel</code></td><td><p><strong>String</strong><br>Channel:</p><ul><li>ECOMMERCE</li><li>CHANNEL_MANAGER</li><li>ALL</li></ul></td></tr><tr><td><code>ProductCode</code></td><td><strong>String</strong><br>Unique code that you set for each of your products.</td></tr><tr><td><code>Pagination</code></td><td><strong>Object</strong><br>Details below.</td></tr><tr><td><code>Pagination.Limit</code></td><td><strong>Int</strong><br>Set a limit for the number of results that should be returned.</td></tr><tr><td><code>Pagination.Page</code></td><td><strong>Int</strong><br>Set the number of pages that should be returned.</td></tr><tr><td><code>Coupons</code></td><td><strong>String</strong><br>A string composed by comma-separated coupon codes (XYX,GGG,BBBB, etc).</td></tr><tr><td><code>ProductTaxCategoryUUID</code> </td><td><strong>String or NULL</strong><br>The UUID of the tax category used for the product. Must be a category existent on your account. Required only for Cumulative promotions.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$searchOptions = new stdClass();
$searchOptions->Types = array ('REGULAR');
$searchOptions->Channel = 'ECOMMERCE';
$searchOptions->ProductCode = 'Product_Code_1';
$searchOptions->Enabled = TRUE;
$searchOptions->Limit = 99;
$searchOptions->Page = 1;
$searchOptions->Coupons = “81XS55D1,E14SSF17;

try {
    $Discounts = $client->searchPromotions($sessionID, $SearchOptions);
}

catch (SoapFault $e) {
    echo "Discounts: " . $e->getMessage();
    exit;
}

var_dump("Promotions", $Discounts);
```

## Response parameters

<table><thead><tr><th width="119.066650390625">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="/pages/362c07b22c941b5d11dd2578402f2f526260c486"><code>Promotion</code></a></td><td><strong>Array of objects</strong></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/promotions/search-promotions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
